Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 341435 - dev-lang/mono-2.8-r1 makes radegast crash
Summary: dev-lang/mono-2.8-r1 makes radegast crash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL: https://bugzilla.novell.com/show_bug....
Whiteboard:
Keywords:
Depends on:
Blocks: mono-2.8
  Show dependency tree
 
Reported: 2010-10-17 08:33 UTC by tman
Modified: 2010-11-27 23:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tman 2010-10-17 08:33:40 UTC
dev-lang/mono-2.8-r1 let some mono based app crash

f.e.: i am using radegast, its a secondlife client, which based on mono. http://radegastclient.org/wp/

unfortunately after upgrading to dev-lang/mono-2.8-r1. i cant start it anymore

Reproducible: Always

Steps to Reproduce:

Actual Results:  
Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object
at System.Windows.Forms.Document.LineTagToCharIndex (System.Windows.Forms.Line line, Int32 pos) [0x00000] in <filename unknown>:0
at System.Windows.Forms.RichTextBox.set_SelectionColor (Color value) [0x00000] in <filename unknown>:0
at (wrapper remoting-invoke-with-check) System.Windows.Forms.RichTextBox:set_SelectionColor (System.Drawing.Color)
at Radegast.RichTextBoxPrinter.set_ForeColor (Color value) [0x00000] in <filename unknown>:0
at Radegast.ChatTextManager.ProcessBufferItem (Radegast.ChatBufferItem item, Boolean addToBuffer) [0x00000] in <filename unknown>:0
at Radegast.ChatTextManager.ReprintAllText () [0x00000] in <filename unknown>:0
at Radegast.ChatConsole.UpdateFontSize () [0x00000] in <filename unknown>:0
at Radegast.ChatConsole..ctor (Radegast.RadegastInstance instance) [0x00000] in <filename unknown>:0
at (wrapper remoting-invoke-with-check) Radegast.ChatConsole:.ctor (Radegast.RadegastInstance)
at Radegast.TabsConsole.InitializeChatTab () [0x00000] in <filename unknown>:0
at Radegast.TabsConsole..ctor (Radegast.RadegastInstance instance) [0x00000] in <filename unknown>:0
at (wrapper remoting-invoke-with-check) Radegast.TabsConsole:.ctor (Radegast.RadegastInstance)
at Radegast.frmMain.InitializeTabsConsole () [0x00000] in <filename unknown>:0
at Radegast.frmMain.InitializeControls () [0x00000] in <filename unknown>:0
at (wrapper remoting-invoke-with-check) Radegast.frmMain:InitializeControls ()
at Radegast.RadegastInstance..ctor (OpenMetaverse.GridClient client0) [0x00000] in <filename unknown>:0
at Radegast.RadegastInstance.get_GlobalInstance () [0x00000] in <filename unknown>:0
at Radegast.MainProgram.Main (System.String[] args) [0x00000] in <filename unknown>:0 


Portage 2.1.9.19 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.12.1-r1, 2.6.35-gentoo-r10 x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-r10-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9700_@_2.80GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 17 Oct 2010 08:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/X11/Sessions/awesome /etc/X11/Sessions/dwm /etc/X11/xorg.conf /etc/apache2/httpd.conf /etc/conf.d/hwclock /etc/conf.d/keymaps /etc/fstab /etc/make.conf /etc/xdg/openbox/autostart.sh /etc/xdg/openbox/menu.xml /etc/xdg/openbox/rc.xml /etc/xdg/openbox/start /usr/share/xsessions/openbox.desktop /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en vi"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/emacs /usr/portage/local/layman/gnome /usr/portage/local/layman/lorelei /usr/portage/local/layman/mpd /usr/portage/local/layman/scarabeus /usr/portage/local/layman/science /usr/portage/local/layman/techwolf /usr/portage/local/layman/qting-edge /usr/portage/local/layman/wirelay /usr/portage/local/layman/mellon /usr/portage/local/layman/roslin /usr/portage/local/local-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib accessibility acl acpi adns afs aim alsa amd64 ao apache2 ass atm audio audiofile bash-completion beagle berkdb bidi bluetooth bzip2 cairo caps cdda cdio cdparanoia cdr cgi cjk clamdtop cli clisp consolekit cracklib crypt cscope css csv cups curl curlwrappers cvs cxx dbus dc1394 dga dhcp dhcpcd dia dirac directfb dmx dri dts dv dvd dvdr dvi emacs enca encode enscript exceptions exif expat extras faac faad fam fastcgi fbcon ffmpeg firefox flac flash fortran ftp fuse gcj gd gdbm geoip ggi gif gimp git glib gmp gnome gnome-keyring gnutls gphoto2 gpm graphviz gs gstreamer gtk gzip hal hash hddtemp highlight httpd iconv icq icu idn ieee1394 imagemagick imap imlib ipv6 ithreads jabber jack java java6 javascript jbig jingle joystick jpeg jpeg2k kerberos lame lapack latex lcms ldap libcaca libwww live logrotate lua lzo mad maildir matroska mbrola md5sum memlimit mercurial mhash midi mikmod milter mime mjpeg mmap mmx mmxext mng mono motif mp3 mp4 mpeg mplayer msn mudflap mule multilib musepack mysql nas nautilus ncurses netboot network networkmanager nfs nls nptl nptlonly nsplugin nvidia ogg ogg123 openal openexr opengl openmp oss pam pcap pcmcia pcre pdf perl php pic pidgin png policykit posix postgres ppds ps pulseaudio python qt3support qt4 quicktime radio rar raw rdesktop readline reflection rss rtsp ruby samba sasl savedconfig schroedinger sdl sdl-image session sip slang slp smp soap sockets sox spamassassin speex spell spl sqlite sse sse2 ssl ssse3 stream stun subversion svg swat sysfs syslog sysvipc tcl tcpd theora threads tidy tiff timidity tk tokenizer truetype udev unicode urandom usb userlocales v4l v4l2 vcd vhosts video vim-syntax vlm vnc vorbis wav wavpack webkit wifi wma wmf wxwidgets x264 xattr xcb xcomposite xft xinerama xinetd xml xmlrpc xorg xpm xscreensaver xsl xulrunner xv xvid xvmc yahoo zip zlib zsh-completion" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES=" actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation php5 proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en vi" PHP_TARGETS="php-5.2" RUBY_TARGETS="ruby18 jruby" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa fbdev vga nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Michael Weber (RETIRED) gentoo-dev 2010-10-26 15:37:33 UTC
maybe just an incompartibility of your non-Gentoo package with this mono version.
Comment 3 tman 2010-10-28 13:28:17 UTC
will be fix in dev-lang/mono-2.8-1

https://bugzilla.novell.com/show_bug.cgi?id=649468
Comment 4 Pacho Ramos gentoo-dev 2010-10-28 16:19:31 UTC
Thanks (please keep this open to remember tree version is still affected by this)
Comment 5 Pacho Ramos gentoo-dev 2010-10-28 16:24:45 UTC
And the commit to get the fix:
http://github.com/mono/mono/commit/4bd17ff18d206def6f253f04ee5742cf5f292695
Comment 6 Pacho Ramos gentoo-dev 2010-11-21 21:32:48 UTC
2.8.1 was released a few time ago:
http://www.mono-project.com/Release_Notes_Mono_2.8.1

But I don't have time for bumping it just now :-/
Comment 7 tman 2010-11-24 05:43:47 UTC
i hope u get time soon for fixing the mono-9999 and bumping to mono 1.8.1 in portage. we are looking forward for it. thanks
Comment 8 Pacho Ramos gentoo-dev 2010-11-26 10:48:14 UTC
2.8.1 bumped
Comment 9 tman 2010-11-27 08:50:19 UTC
nothing has solved

[I] dev-lang/mono
     Available versions:  2.6.7!t (~)2.8.1!t{tbz2} **9999!t {hardened minimal moonlight profile4 xen}
     Installed versions:  2.8.1!t{tbz2}(07:56:52 27.11.2010)(-hardened -minimal -xen)
     Homepage:            http://www.go-mono.com
     Description:         Mono runtime and class libraries, a C# compiler/interpreter



ERROR

Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object
  at System.Windows.Forms.Document.LineTagToCharIndex (System.Windows.Forms.Line line, Int32 pos) [0x00000] in <filename unknown>:0 
  at System.Windows.Forms.RichTextBox.set_SelectionColor (Color value) [0x00000] in <filename unknown>:0 
  at (wrapper remoting-invoke-with-check) System.Windows.Forms.RichTextBox:set_SelectionColor (System.Drawing.Color)
  at Radegast.RichTextBoxPrinter.set_ForeColor (Color value) [0x00000] in <filename unknown>:0 
  at Radegast.ChatTextManager.ProcessBufferItem (Radegast.ChatBufferItem item, Boolean addToBuffer) [0x00000] in <filename unknown>:0 
  at Radegast.ChatTextManager.ReprintAllText () [0x00000] in <filename unknown>:0 
  at Radegast.ChatConsole.UpdateFontSize () [0x00000] in <filename unknown>:0 
  at Radegast.ChatConsole..ctor (Radegast.RadegastInstance instance) [0x00000] in <filename unknown>:0 
  at (wrapper remoting-invoke-with-check) Radegast.ChatConsole:.ctor (Radegast.RadegastInstance)
  at Radegast.TabsConsole.InitializeChatTab () [0x00000] in <filename unknown>:0 
  at Radegast.TabsConsole..ctor (Radegast.RadegastInstance instance) [0x00000] in <filename unknown>:0 
  at (wrapper remoting-invoke-with-check) Radegast.TabsConsole:.ctor (Radegast.RadegastInstance)
  at Radegast.frmMain.InitializeTabsConsole () [0x00000] in <filename unknown>:0 
  at Radegast.frmMain.InitializeControls () [0x00000] in <filename unknown>:0 
  at (wrapper remoting-invoke-with-check) Radegast.frmMain:InitializeControls ()
  at Radegast.RadegastInstance..ctor (OpenMetaverse.GridClient client0) [0x00000] in <filename unknown>:0 
  at Radegast.RadegastInstance.get_GlobalInstance () [0x00000] in <filename unknown>:0 
  at Radegast.MainProgram.Main (System.String[] args) [0x00000] in <filename unknown>:0

Comment 10 tman 2010-11-27 08:51:04 UTC
seem to be also not solved with mono-2.8.1
Comment 11 Pacho Ramos gentoo-dev 2010-11-27 15:50:00 UTC
+*mono-2.8.1-r1 (27 Nov 2010)
+
+  27 Nov 2010; Pacho Ramos <pacho@gentoo.org> -mono-2.8.1.ebuild,
+  +mono-2.8.1-r1.ebuild, +files/mono-2.8.1-radegast-crash.patch:
+  Backport upstream patch to fix radegast crash (bug #341435 by tman).
+
Comment 12 tman 2010-11-27 23:31:16 UTC
well mono has some problem with radegast. i dot the advice of programmer of radegast that , our mono n portage is using wring font.

i posted this bug to radegast projekt. the u can find the snapshot of the problem. maybe u can fix the ebuild to using correctly fonts.

thanks

http://jira.openmetaverse.org/browse/RAD-217 
Comment 13 Pacho Ramos gentoo-dev 2010-11-27 23:53:52 UTC
It's a different problem (-> different bug)

Also, mono ebuild is not setting any "fancy" configure option related with cairo/pango, maybe upstream is referring to libgdiplus, in that case, you can switch between both toggling its "cairo" USE flag